Bug 1441067 - byobu requires newt-python3 and it's not installed as dep
Summary: byobu requires newt-python3 and it's not installed as dep
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: byobu
Version: 26
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 07:11 UTC by Daniele Viganò
Modified: 2017-04-30 21:51 UTC (History)
2 users (show)

Fixed In Version: byobu-5.116-2.fc26 byobu-5.116-2.fc24 byobu-5.116-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-30 16:07:40 UTC


Attachments (Terms of Use)

Description Daniele Viganò 2017-04-11 07:11:24 UTC
Description of problem:

To be able to use byobu-config (or by pressing F9), newt-python3 is required (otherwise the snack module will be missing), but newt-python isn't installed as required dependency by the byobu rpm package

Version-Release number of selected component (if applicable):

$ rpm -qa | grep newt-python
newt-python3-0.52.20-1.fc26.x86_64

$ rpm -qa | grep byobu
byobu-5.115-1.fc26.noarch

How reproducible:

Always, when newt-python isn't already available in the system


Steps to Reproduce:

On a clean installation:
1. dnf install byobu
2. byobu-config

Actual results:

$ byobu-config
ERROR: Could not import the python snack module

Expected results:

$ byobu-config
Byobu Configuration Menu                                                       
                                                                                
    ┌────────────────────┤  Byobu Configuration Menu ├─────────────────────┐    
    │                                                                      │    
    │                                                                      │    
    │                                                                      │    
    │     Help -- Quick Start Guide                                        │    
    │     Toggle status notifications                                      │    
    │     Change escape sequence                                           │    
    │     Byobu currently launches at login (toggle off)                   │    
    │                                                                      │    
    │                                                                      │    
    │                                                                      │    
    │                                                                      │    
    │                                                                      │    
    │                                 <Exit>                               │    
    │                                                                      │    
    └──────────────────────────────────────────────────────────────────────┘    
                                                                                
<Tab> between elements | <Enter> selects | <Esc> exits                          


Additional info:

The issue can be fixed running

$ sudo dnf install newt-python3

Comment 1 Fedora Update System 2017-04-14 05:05:34 UTC
byobu-5.116-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f2a9dc5a32

Comment 2 Fedora Update System 2017-04-14 05:05:48 UTC
byobu-5.116-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cc8b701352

Comment 3 Fedora Update System 2017-04-14 05:05:57 UTC
byobu-5.116-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-38a8b311ca

Comment 4 Fedora Update System 2017-04-14 23:53:27 UTC
byobu-5.116-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-38a8b311ca

Comment 5 Fedora Update System 2017-04-15 00:28:53 UTC
byobu-5.116-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f2a9dc5a32

Comment 6 Fedora Update System 2017-04-15 01:50:27 UTC
byobu-5.116-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cc8b701352

Comment 7 Daniele Viganò 2017-04-20 14:09:10 UTC
byobu-5.116-2.fc26 works well for me, thanks!

Comment 8 Fedora Update System 2017-04-30 16:07:40 UTC
byobu-5.116-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-04-30 21:18:33 UTC
byobu-5.116-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-04-30 21:51:08 UTC
byobu-5.116-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.